LOCALSEARCH-STATUS(1)

NAME
localsearch-status - Provide status and statistics on the data indexed

SYNOPSIS

localsearch status
localsearch status [[expression1]...]
localsearch status --stat [-a]

DESCRIPTION

Display the status of the current index and data set. A summary of recorded failures during file metadata indexing is also displayed.

Providing a search expression will list the full details of the recorded failures matching the filename.

With the --stat option, displays statistics about the RDF classes and how many of each exist for data set that has been indexed. For example, "10 Folders".

OPTIONS

--stat
    List statistics of stored RDF classes (e.g. "nfo:Document" or "nfo:Folder") per graph.

-f, --follow
    Follow status changes to daemons as they happen. This is a top level view of what is happening. You will see the name for each daemon and a state with the progress in that state. This requires Ctrl+C to stop and return to the command line.

-w, --watch
    Watch changes that happen to the database in real time. This requires Ctrl+C to stop and return to the command line.

This option is implied if search terms are provided to filter ALL possible statistics.

SEE ALSO

localsearch daemon(1), localsearch info(1).

    • http://nepomuk.semanticdesktop.org/